{% extends "base.html" %}
{% block header %}
    <style>
        .m-card-item {
            padding: 20px 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .m-card-item:not(:last-child) {
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }

        .m-card-item.table-header {
            border-bottom-color: #a7a7a7;
        }

        .m-card-item .one {
            width: 20%;
        }

        .m-card-item .two {
            width: 20%;
        }

        .m-card-item .three {
            width: 40%;
        }

        .m-card-item .four {
            width: 20%;
        }

        .m-card-item:not(.table-header) {
            cursor: pointer;
        }
        .m-card-item:not(.table-header):hover {
            background-color: #e5e5e5;
        }
    </style>
{% endblock header %}
{% block title %}سفارشات{% endblock title %}
{% block body_title %}سفارشات گرفته‌شده{% endblock body_title %}
{% block content %}
    <div class="m-card" style="padding: 0 20px;">
        <div class="m-card-item table-header">
            <div class="one">
                <span>
                    سفارش
                </span>
            </div>
            <div class="two">
                <span>
                    کارفرما
                </span>
            </div>
            <div class="three">
                <span>
                    توضیحات
                </span>
            </div>
            <div class="four">
                <span>

                </span>
            </div>
        </div>
        {% for order in orders %}
            <div class="m-card-item" onclick="window.open('/order/{{ order.id }}/', '_self')">
                <div class="one">
                    <span>
                        {{ order.expertise.name }}
                    </span>
                </div>
                <div class="two">
                    <span>
                        {{ order.customer.user.first_name }} {{ order.customer.user.last_name }}
                    </span>
                </div>
                <div class="three">
                <span>
                    {{ order.description }}
                </span>
                </div>
                <div class="four">
                    {% if order.get_status_display == 'DOING' %}
                        <a class="ui green label">تایید شده</a>
                    {% elif order.get_status_display == 'PENDING' %}
                        <a class="ui yellow label">درخواست شده</a>
                    {% endif %}
                </div>
            </div>
        {% endfor %}
    </div>
    <div style="margin-top: 64px; margin-bottom: 20px; width: 100%; text-align: center;">
        <span style="font-size: 24px;">
            سفارش‌های باز
        </span>
    </div>
    <div class="m-card" style="padding: 0 20px;">
        <div class="m-card-item table-header">
            <div class="one">
                <span>
                    سفارش
                </span>
            </div>
            <div class="two">
                    <span>
                        کارفرما
                    </span>
            </div>
            <div class="three">
                <span>
                    توضیحات
                </span>
            </div>
            <div class="four">
                <span>

                </span>
            </div>
        </div>
        {% for order in pending_orders %}
            <div class="m-card-item">
                <div class="one">
                <span>
                    {{ order.expertise.name }}
                </span>
                </div>
                <div class="two">
                    <span>
                        {{ order.customer.user.first_name }} {{ order.customer.user.last_name }}
                    </span>
                </div>
                <div class="three">
                <span>
                    {{ order.description }}
                </span>
                </div>
                <div class="four">
                    <form action="/order/{{ order.id }}/" method="post">
                        {% csrf_token %}
                        <input name="expert" type="hidden" value="{{ user.expert.id }}">
                        <button class="ui button teal" type="submit">
                            فرستادن درخواست
                        </button>
                    </form>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}